// EdIRRBox.hpp : header file
//

#ifndef _EDIRRBOX_HPP_
#define _EDIRRBOX_HPP_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "EdIRRes.h"

/////////////////////////////////////////////////////////////////////////////
// class CPA_EdIR_ActCondBoxDlg
/////////////////////////////////////////////////////////////////////////////

class CPA_EdIR_ActCondBoxDlg : public CDialog
{
	// Attributes
	private:
		CStringList	*mp_clListString;
		HINSTANCE	m_hOldInstance;

	public:
//CPA 2 IONUT GROZEA 14-04
		CString				m_fn_csGetNameOfProcedureWithoutParams(CString );
//CPA 2 END IONUT GROZEA 14-04
		CString	m_csSelectedString;

	// Construction
	public:
		CPA_EdIR_ActCondBoxDlg(CStringList *,CWnd* pParent = NULL);   // standard constructor
		~CPA_EdIR_ActCondBoxDlg();

	// Dialog Data
		//{{AFX_DATA(CPA_EdIR_ActCondBoxDlg)
		enum { IDD = IDD_IR_ACTIONS_CONDITIONS_BOX };
			// NOTE: the ClassWizard will add data members here
		//}}AFX_DATA


	// Overrides
		// ClassWizard generated virtual function overrides
		//{{AFX_VIRTUAL(CPA_EdIR_ActCondBoxDlg)
		protected:
		virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
		//}}AFX_VIRTUAL

	// Implementation
	private:
		void	OnOK();

	protected:
		// Generated message map functions
		//{{AFX_MSG(CPA_EdIR_ActCondBoxDlg)
		virtual BOOL OnInitDialog();
		afx_msg void OnDestroy();
		afx_msg void OnDblclk();
	//}}AFX_MSG

		DECLARE_MESSAGE_MAP()
};

#endif //_EDIRRBOX_HPP_
